summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-06-12 07:41:43 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-12 07:47:29 -0500
commitb499012a50ff5c4f539f685a94bc9d05b1b5dd80 (patch)
tree32f661d444cb4563aacf687ad946a3d811e98179
parent1a0d0d9b4d297bac6532832b0dcc44ea04e370f1 (diff)
downloadslackbuilds-b499012a50ff5c4f539f685a94bc9d05b1b5dd80.tar.gz
slackbuilds-b499012a50ff5c4f539f685a94bc9d05b1b5dd80.tar.xz
libraries/wxGTK: Updated for version 2.8.11.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/wxGTK/README5
-rw-r--r--libraries/wxGTK/newgtk.patch16
-rw-r--r--libraries/wxGTK/wxGTK.SlackBuild36
-rw-r--r--libraries/wxGTK/wxGTK.info8
4 files changed, 29 insertions, 36 deletions
diff --git a/libraries/wxGTK/README b/libraries/wxGTK/README
index 5373922339..78da9d02df 100644
--- a/libraries/wxGTK/README
+++ b/libraries/wxGTK/README
@@ -2,6 +2,5 @@ wxGTK is part of wxWidgets, a cross-platform API for writing GUI applications
on multiple platforms that still utilize the native platform's controls and
utilities.
-This is a unicode shared build.
-If you do not want the unicode build, use:
-UNICODE=NO ./wxGTK.SlackBuild
+This is a unicode shared build. If you do not want the unicode build, use:
+ UNICODE=NO ./wxGTK.SlackBuild
diff --git a/libraries/wxGTK/newgtk.patch b/libraries/wxGTK/newgtk.patch
deleted file mode 100644
index eb8e653c9e..0000000000
--- a/libraries/wxGTK/newgtk.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- wxGTK-2.8.10/src/gtk/gsockgtk.cpp 2009-03-06 09:18:08.000000000 -0300
-+++ wxGTK-2.8.10_patched/src/gtk/gsockgtk.cpp 2010-03-27 08:32:57.000000000 -0300
-@@ -15,8 +15,13 @@
- #include <stdlib.h>
- #include <stdio.h>
-
-+// newer versions of glib define its own GSocket but we unfortunately use this
-+// name in our own (semi-)public header and so can't change it -- rename glib
-+// one instead
-+#define GSocket GlibGSocket
- #include <gdk/gdk.h>
- #include <glib.h>
-+#undef GSocket
-
- #include "wx/gsocket.h"
- #include "wx/unix/gsockunx.h"
diff --git a/libraries/wxGTK/wxGTK.SlackBuild b/libraries/wxGTK/wxGTK.SlackBuild
index 9409a771c3..7e35372ee9 100644
--- a/libraries/wxGTK/wxGTK.SlackBuild
+++ b/libraries/wxGTK/wxGTK.SlackBuild
@@ -25,14 +25,22 @@
# Lots of key help from Eric Hameleers and the SBo admins.
# Versions >= 2.8.10 by Niels Horn <niels.horn@gmail.com>
-# revision date: 2010/03/27
+# revision date: 2010/06/01
PRGNAM=wxGTK
-VERSION=2.8.10
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-2.8.11}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -58,14 +66,20 @@ elif [ "$ARCH" = "arm" ]; then
SLKCFLAGS="-O2 -march=armv4t"
LIBDIRSUFFIX=""
ARCHQUADLET="-gnueabi"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -73,9 +87,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply patch for newer gtk2 versions
-patch -p1 < $CWD/newgtk.patch
-
# Set unicode flag as desired by UNICODE variable
if [ "$UNICODE" = "YES" ]; then
_do_unicode="en"
@@ -92,11 +103,10 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-shared \
--with-opengl \
--${_do_unicode}able-unicode \
- --build=$ARCH-slackware-linux$ARCHQUADLET \
- || exit 1
+ --build=$ARCH-slackware-linux$ARCHQUADLET
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/libraries/wxGTK/wxGTK.info b/libraries/wxGTK/wxGTK.info
index 5ee9db5e7c..d455078b19 100644
--- a/libraries/wxGTK/wxGTK.info
+++ b/libraries/wxGTK/wxGTK.info
@@ -1,10 +1,10 @@
PRGNAM="wxGTK"
-VERSION="2.8.10"
+VERSION="2.8.11"
HOMEPAGE="http://www.wxwidgets.org"
-DOWNLOAD="http://downloads.sourceforge.net/wxwindows/wxGTK-2.8.10.tar.gz"
-MD5SUM="d9638db3f3a9ce36c900a52f8c0087c6"
+DOWNLOAD="http://downloads.sourceforge.net/wxwindows/wxGTK-2.8.11.tar.gz"
+MD5SUM="d1b9db394499e24ceabe911e8b30f8b0"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Niels Horn"
EMAIL="niels.horn@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"